diff --git a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-idp.dtsi b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-idp.dtsi
index ca2d0d1..b03a2ea 100755
--- a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-idp.dtsi
+++ b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-idp.dtsi
@@ -93,7 +93,7 @@
 		qcom,nq-irq = <&tlmm 85 0x00>;
 		qcom,nq-ven = <&tlmm 83 0x00>;
 		qcom,nq-firm = <&tlmm 84 0x00>;
-		qcom,nq-clkreq = <&tlmm 95 0x00>;
+//		qcom,nq-clkreq = <&tlmm 95 0x00>;
 		interrupt-parent = <&tlmm>;
 		interrupts = <85 0>;
 		interrupt-names = "nfc_irq";
diff --git a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-nopmi-codec.dtsi b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-nopmi-codec.dtsi
index cba8e62..76f2a7f 100755
--- a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-nopmi-codec.dtsi
+++ b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-nopmi-codec.dtsi
@@ -99,11 +99,11 @@
 
 &soc {
 	ldo_vdd3v3: codec_vdd3v3 {
-		compatible = "regulator-fixed";
+//		compatible = "regulator-fixed";
 		regulator-name = "ldo_vdd3v3";	
 		startup-delay-us = <0>;
 		enable-active-high;
-		gpio = <&tlmm 95 0x0>;
+//		gpio = <&tlmm 95 0x0>;
 		regulator-boot-on;
 	};
 };
@@ -117,10 +117,10 @@
 };
 
 &sde_dp {
-	status = "ok";
+	status = "disbaled";
 	qcom,dp-hpd-gpio = <&tlmm 100 0>;
 	qcom,dp-low-power-hw-hpd;
-	qcom,dp-gpio-en = <&tlmm 97 0>;
+//	qcom,dp-gpio-en = <&tlmm 97 0>;
 	// vdd_3v3-supply = <&ldo_vdd3v3>;
 };
 
diff --git a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-pinctrl.dtsi b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-pinctrl.dtsi
index feced25..a8e2d50 100755
--- a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-pinctrl.dtsi
+++ b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-pinctrl.dtsi
@@ -175,12 +201,12 @@
 				/* active state */
 				mux {
 					/* GPIO 95: NFC CLOCK REQUEST */
-					pins = "gpio95";
+		//			pins = "gpio95";
 					function = "gpio";
 				};
 
 				config {
-					pins = "gpio95";
+		//			pins = "gpio95";
 					drive-strength = <2>; /* 2 MA */
 					bias-pull-up;
 				};
@@ -190,12 +216,12 @@
 				/* sleep state */
 				mux {
 					/* GPIO 95: NFC CLOCK REQUEST */
-					pins = "gpio95";
+		//			pins = "gpio95";
 					function = "gpio";
 				};
 
 				config {
-					pins = "gpio95";
+		//			pins = "gpio95";
 					drive-strength = <2>; /* 2 MA */
 					bias-disable;
 				};
@@ -1436,12 +1462,12 @@
         codec_vdd1v8 {
             codec_vdd1v8_active: codec_vdd1v8_active {
                 mux {
-                    pins = "gpio95";
+                 //   pins = "gpio95";
                     function = "gpio";
                 };
 
                 config {
-                    pins = "gpio95";
+                 //   pins = "gpio95";
                     drive-strength = <16>;   /* 16 mA */
                     bias-disable;           /* NO PULL */
                 };
@@ -1523,12 +1549,12 @@
         mic_det {
             mic_det_sleep: mic_det_sleep {
                 mux {
-                    pins = "gpio97";
+                //    pins = "gpio97";
                     function = "gpio";
                 };
 
                 config {
-                    pins = "gpio97";
+                  //  pins = "gpio97";
                     drive-strength = <2>;   /* 2 mA */
                     bias-disable;           /* NO PULL */
                 };
@@ -1536,12 +1562,12 @@
 
             mic_det_active: mic_det_active {
                 mux {
-                    pins = "gpio97";
+                 //   pins = "gpio97";
                     function = "gpio";
                 };
 
                 config {
-                    pins = "gpio97";
+                 //   pins = "gpio97";
                     drive-strength = <8>;   /* 16 mA */
                     bias-disable;           /* NO PULL */
                     input-enable;
diff --git a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-pmi632-codec.dtsi b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-pmi632-codec.dtsi
index beb9b20..1755a2f 100755
--- a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-pmi632-codec.dtsi
+++ b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-pmi632-codec.dtsi
@@ -146,7 +146,7 @@
 		regulator-name = "codec_vdd1v8";
 		startup-delay-us = <0>;
 		enable-active-high;
-		gpio = <&tlmm 95 0x0>;
+//		gpio = <&tlmm 95 0x0>;
 		pinctrl-names = "default";
 		pinctrl-0 = <&codec_vdd1v8_active>;
 		//regulator-always-on;
diff --git a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-qrd.dtsi b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-qrd.dtsi
index 6a4eecf..2d0b0e0 100644
--- a/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-qrd.dtsi
+++ b/kernel/msm-4.14/arch/arm64/boot/dts/qcom/trinket-qrd.dtsi
@@ -107,12 +107,12 @@
 &qupv3_se1_i2c {
 	status = "ok";
 	nq@28 {
-		compatible = "qcom,nq-nci";
+//		compatible = "qcom,nq-nc";
 		reg = <0x28>;
 		qcom,nq-irq = <&tlmm 85 0x00>;
 		qcom,nq-ven = <&tlmm 83 0x00>;
 		qcom,nq-firm = <&tlmm 84 0x00>;
-		qcom,nq-clkreq = <&tlmm 95 0x00>;
+//		qcom,nq-clkreq = <&tlmm 95 0x00>;
 		interrupt-parent = <&tlmm>;
 		interrupts = <85 0>;
 		interrupt-names = "nfc_irq";

